> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Documents

> Lists the caller's non-archived documents including signature request and signator details.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-documents
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-documents:
    get:
      operationId: getDocuments
      summary: Get Documents
      description: >-
        Lists the caller's non-archived documents including signature request
        and signator details.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDocumentsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetDocumentsResponse:
      type: array
      items:
        type: object
        properties:
          supersededAt:
            type:
              - string
              - 'null'
          documentID:
            type: string
          roleInOrgID:
            type: string
          investorEntityID:
            type:
              - string
              - 'null'
          documentName:
            type: string
          documentDescription:
            type:
              - string
              - 'null'
          documentType:
            type: string
            enum:
              - WARRANT_AGREEMENT
              - EXERCISE_NOTICE
              - PAYMENT_PROOF
              - GRANT_AGREEMENT
              - EIGHTY_THREE_B_ELECTION
              - EIGHTY_THREE_B_ELECTION_RECIEPT
              - RECIEPTS
              - SETTLEMENT_STATEMENT
              - SECTION_431_ELECTION_EMPLOYEE
              - SECTION_431_ELECTION_EMPLOYER
              - OTHER
          fileID:
            type: string
          signedAt:
            type:
              - string
              - 'null'
          archivedAt:
            type:
              - string
              - 'null'
          createdAt:
            type: string
          updatedAt:
            type: string
          deletedAt:
            type:
              - string
              - 'null'
          grantID:
            type:
              - string
              - 'null'
          warrantID:
            type:
              - string
              - 'null'
          legacyMigratedAt:
            type:
              - string
              - 'null'
          legacyModelID:
            type:
              - number
              - 'null'
          visibleToRole:
            type: boolean
          visibleToClientAdmin:
            type: boolean
          file:
            type: object
            properties:
              fileID:
                type: string
              orgID:
                type: string
              fileName:
                type: string
              mimeType:
                type: string
              fileKey:
                type: string
              fileBucket:
                type: string
              fileUploaded:
                type:
                  - string
                  - 'null'
              fileSizeInBytes:
                type:
                  - string
                  - 'null'
                pattern: ^-?\d+$
              createdByUserID:
                type:
                  - string
                  - 'null'
              createdAt:
                type: string
              updatedAt:
                type: string
              legacyMigratedAt:
                type:
                  - string
                  - 'null'
              legacyModelID:
                type:
                  - number
                  - 'null'
              type:
                type: string
              fileURL:
                type: string
              fileDownloadURL:
                type: string
              generatedTemplateInstances:
                type: array
                items:
                  type: object
                  properties:
                    status:
                      type: string
                      enum:
                        - CREATED
                        - SENT
                        - SIGNED
                        - DECLINED
                        - FAILED
                        - SUPERSEDED
                        - DELIVERED
                        - VOIDED
                        - EXPIRED
                    signingProfileKeySnapshot:
                      type: string
                      enum:
                        - EMPLOYEE_ONLY
                        - EMPLOYEE_AND_COUNTERSIGNER
                        - COUNTERSIGNER_ONLY
                        - NO_SIGNATURE
                        - CLIENT_AND_COUNTERSIGNERS
                    employeeCompletedAt:
                      type:
                        - string
                        - 'null'
                    countersignerCompletedAt:
                      type:
                        - string
                        - 'null'
                    signedFile:
                      type:
                        - object
                        - 'null'
                      properties:
                        fileID:
                          type: string
                        orgID:
                          type: string
                        fileName:
                          type: string
                        mimeType:
                          type: string
                        fileKey:
                          type: string
                        fileBucket:
                          type: string
                        fileUploaded:
                          type:
                            - string
                            - 'null'
                        fileSizeInBytes:
                          type:
                            - string
                            - 'null'
                          pattern: ^-?\d+$
                        createdByUserID:
                          type:
                            - string
                            - 'null'
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        legacyMigratedAt:
                          type:
                            - string
                            - 'null'
                        legacyModelID:
                          type:
                            - number
                            - 'null'
                        type:
                          type: string
                        fileURL:
                          type: string
                        fileDownloadURL:
                          type: string
                      required:
                        - fileID
                        - orgID
                        - fileName
                        - mimeType
                        - fileKey
                        - fileBucket
                        - fileUploaded
                        - fileSizeInBytes
                        - createdByUserID
                        - createdAt
                        - updatedAt
                        - legacyMigratedAt
                        - legacyModelID
                        - type
                        - fileURL
                        - fileDownloadURL
                  required:
                    - status
                    - signingProfileKeySnapshot
                    - employeeCompletedAt
                    - countersignerCompletedAt
                    - signedFile
            required:
              - fileID
              - orgID
              - fileName
              - mimeType
              - fileKey
              - fileBucket
              - fileUploaded
              - fileSizeInBytes
              - createdByUserID
              - createdAt
              - updatedAt
              - legacyMigratedAt
              - legacyModelID
              - type
              - fileURL
              - fileDownloadURL
              - generatedTemplateInstances
          documentSignatureRequest:
            type:
              - object
              - 'null'
            properties:
              documentSignatureRequestID:
                type: string
              roleInOrgID:
                type: string
              investorEntityID:
                type:
                  - string
                  - 'null'
              documentID:
                type: string
              signedFileID:
                type:
                  - string
                  - 'null'
              docusignEnvelopeID:
                type: string
              signatureBoxes: {}
              documentSignators:
                type: array
                items:
                  type: object
                  properties:
                    documentSignatorID:
                      type: string
                    roleInOrgID:
                      type: string
                    documentSignatureRequestID:
                      type: string
                    name:
                      type: string
                    email:
                      type: string
                    docusignRecipientID:
                      type: string
                    signedAt:
                      type:
                        - string
                        - 'null'
                    rejectedAt:
                      type:
                        - string
                        - 'null'
                    createdAt:
                      type: string
                    updatedAt:
                      type: string
                  required:
                    - documentSignatorID
                    - roleInOrgID
                    - documentSignatureRequestID
                    - name
                    - email
                    - docusignRecipientID
                    - signedAt
                    - rejectedAt
                    - createdAt
                    - updatedAt
              signedFile:
                type:
                  - object
                  - 'null'
                properties:
                  fileID:
                    type: string
                  orgID:
                    type: string
                  fileName:
                    type: string
                  mimeType:
                    type: string
                  fileKey:
                    type: string
                  fileBucket:
                    type: string
                  fileUploaded:
                    type:
                      - string
                      - 'null'
                  fileSizeInBytes:
                    type:
                      - string
                      - 'null'
                    pattern: ^-?\d+$
                  createdByUserID:
                    type:
                      - string
                      - 'null'
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                  legacyMigratedAt:
                    type:
                      - string
                      - 'null'
                  legacyModelID:
                    type:
                      - number
                      - 'null'
                  type:
                    type: string
                  fileURL:
                    type: string
                  fileDownloadURL:
                    type: string
                required:
                  - fileID
                  - orgID
                  - fileName
                  - mimeType
                  - fileKey
                  - fileBucket
                  - fileUploaded
                  - fileSizeInBytes
                  - createdByUserID
                  - createdAt
                  - updatedAt
                  - legacyMigratedAt
                  - legacyModelID
                  - type
                  - fileURL
                  - fileDownloadURL
            required:
              - documentSignatureRequestID
              - roleInOrgID
              - investorEntityID
              - documentID
              - signedFileID
              - docusignEnvelopeID
              - signatureBoxes
              - documentSignators
              - signedFile
        required:
          - supersededAt
          - documentID
          - roleInOrgID
          - investorEntityID
          - documentName
          - documentDescription
          - documentType
          - fileID
          - signedAt
          - archivedAt
          - createdAt
          - updatedAt
          - deletedAt
          - grantID
          - warrantID
          - legacyMigratedAt
          - legacyModelID
          - visibleToRole
          - visibleToClientAdmin
          - file
          - documentSignatureRequest
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
